global:
  sequences_file: sequences.fasta
  prefix: disprot_sampled
protbert_embeddings:
  type: embed
  protocol: prottrans_bert_bfd
  reduce: true
  discard_per_amino_acid_embeddings: true
umap_projections:
  type: project
  protocol: umap
  depends_on: protbert_embeddings
  n_components: 2
plotly_visualization:
  type: visualize
  protocol: plotly
  annotation_file: disprot_annotations.csv
  display_unknown: false
  depends_on: umap_projections
